This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Detail
Vendor Libcaca Project First view 2018-12-28
Product Libcaca Last view 2021-02-23
Version 0.99 Type Application
Update beta19  
Edition *  
Language *  
Sofware Edition *  
Target Software *  
Target Hardware *  
Other *  
 
CPE Product cpe:2.3:a:libcaca_project:libcaca

Activity : Overall

Related : CVE

  Date Alert Description
7.8 2021-02-23 CVE-2021-3410

A flaw was found in libcaca v0.99.beta19. A buffer overflow issue in caca_resize function in libcaca/caca/canvas.c may lead to local execution of arbitrary code in the user context.

8.8 2018-12-28 CVE-2018-20549

There is an illegal WRITE memory access at caca/file.c (function caca_file_read) in libcaca 0.99.beta19.

8.8 2018-12-28 CVE-2018-20548

There is an illegal WRITE memory access at common-image.c (function load_image) in libcaca 0.99.beta19 for 1bpp data.

8.1 2018-12-28 CVE-2018-20547

There is an illegal READ memory access at caca/dither.c (function get_rgba_default) in libcaca 0.99.beta19 for 24bpp data.

8.1 2018-12-28 CVE-2018-20546

There is an illegal READ memory access at caca/dither.c (function get_rgba_default) in libcaca 0.99.beta19 for the default bpp case.

8.8 2018-12-28 CVE-2018-20545

There is an illegal WRITE memory access at common-image.c (function load_image) in libcaca 0.99.beta19 for 4bpp data.

6.5 2018-12-28 CVE-2018-20544

There is floating point exception at caca/dither.c (function caca_dither_bitmap) in libcaca 0.99.beta19.

CWE : Common Weakness Enumeration

%idName
71% (5) CWE-190 Integer Overflow or Wraparound
14% (1) CWE-369 Divide By Zero
14% (1) CWE-119 Failure to Constrain Operations within the Bounds of a Memory Buffer

Nessus® Vulnerability Scanner

id Description
2019-01-10 Name: The remote Debian host is missing a security update.
File: debian_DLA-1631.nasl - Type: ACT_GATHER_INFO